Bug 58876 - bcdiv() apparently not provided by php-4.0.6-7
bcdiv() apparently not provided by php-4.0.6-7
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-01-26 03:54 EST by Bishop Clark
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-07 21:45:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bishop Clark 2002-01-26 03:54:26 EST
Description of Problem:
using php-4.0.6-7, php pages using bcdiv() encounter errors:
Fatal error:  Call to undefined function:  bcdiv() in [filename]

This is rather odd, as http://www.php.net/manual/en/function.bcdiv.php seems to
state that bcdiv(0 is in php > 4.0.0 .  

Version-Release number of selected component (if applicable):
php 4.0.6-7

How Reproducible:
always.  All night.

Steps to Reproduce:
view a php file of the following content under apache on RH72:

<? $outpt = bcdiv("3","4",2); ?>


Actual Results:
Fatal error: Call to undefined function: bcdiv() in
/home/bishop/public_html/test.php on line 2

Expected Results:

Additional Information:
works on 3.0.18, and any other PHP4 implementation.  Something fishy is afoot.
Comment 1 Bishop Clark 2002-01-26 03:56:22 EST
argh.  s/$outpt =/echo/ in my example for code I used on my RH62 box.

Comment 2 Phil Copeland 2002-01-28 16:15:39 EST

That version of php wasn't compiled with --enable-bcmath hence those functio
calls aren't available.
If I get time I'll try and get an errata out that does, however, I'm very busy
with other work for php 4.1.1
Comment 3 Bishop Clark 2002-01-28 16:53:00 EST
Hey, I'll save you the trouble:  4.0.6-13 *is* built with --enable-bc-math or so.  

The only problems with 4.0.6-13 is:  
 - it's RawHide, and apparently even RH doesn't recommend they be used
   for anything other than bleeding-edge masochists.  
 - it requires about a gazillion OTHER rawhide packages, because it was
   built on a system with all those libraries installed.  Were Terpstra
   to find out about something like this, he'd rant yet more on 

Against my better judgement *and* the apparent RH statement regarding the
potential instability of RawHide packages (for purposes of liabilility 8-), I
grabbed 4.0.6-13, rebuilt it on my bare 7.2 + updates box, and installed it. 
This 406 package provided both bcmath and gmpmath functions, so it was a win.

Now.  If you can rebuild that package on a box without all the extra crap in
there and get 406-13 blessed with the Errata stamp becuase it's a compatibility
error, we can all be happy.  8-)

(thanks for the reply, btw, the turnaround was really good for a Monday)

- bish
Comment 4 Bishop Clark 2002-02-07 19:46:10 EST
whoa, slow up there.  Did an errata release come out?  RawHide isn't support, or
so I hear, and I need something that's supported.

Comment 5 Phil Copeland 2002-02-07 21:29:28 EST
Well, it's queued up for errata

Comment 6 Bishop Clark 2002-02-07 21:45:11 EST
That was supposed to read 'supportED'.  I just realized that my error could be
misread;  please, no slur intended on RH Support.

(Hey, I may need a job some day, and the LAST thing I need to hear is "Well, we
liked your resume, and the juggling of sharp knives *was* impressive;  now tell
us about Bugzilla #58876....")

So, what's the typical schedule after being queued?  A week, a month?  Heck,
after the Superbowl, I *need* another over-under on which to bet...  
Comment 7 Phil Copeland 2002-06-04 16:08:42 EDT
Errata due in the next few days


Note You need to log in before you can comment on or make changes to this bug.